Package org.pushingpixels.substance.internal.ui

# Class SubstanceToolBarSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
javax.swing.plaf.basic.BasicToolBarSeparatorUI
org.pushingpixels.substance.internal.ui.SubstanceToolBarSeparatorUI

public class SubstanceToolBarSeparatorUI extends BasicToolBarSeparatorUI
UI for toolbar separators in Substance look and feel.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI

`highlight, shadow`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceToolBarSeparatorUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicToolBarSeparatorUI

`installDefaults`

### Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI

`getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceToolBarSeparatorUI

public SubstanceToolBarSeparatorUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `BasicToolBarSeparatorUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `BasicToolBarSeparatorUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `BasicSeparatorUI`